6.0.0-git
2021-01-18

[#5962] Hebrew message not rendering correctly.
Summary Hebrew message not rendering correctly.
Queue IMP
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester selsky (at) columbia (dot) edu
Created 2007-12-05 (4793 days ago)
Due
Updated 2007-12-11 (4787 days ago)
Assigned 2007-12-10 (4788 days ago)
Resolved 2007-12-10 (4788 days ago)
Milestone
Patch No

History
2007-12-11 20:25:09 selsky (at) columbia (dot) edu Comment #14 Reply to this comment
Check added to test.php
2007-12-11 19:43:36 Chuck Hagenbuch Deleted Original Message
 
2007-12-11 19:43:28 Chuck Hagenbuch Deleted Original Message
 
2007-12-11 19:43:06 selsky (at) columbia (dot) edu Comment #13 Reply to this comment
We can check the value of ICONV_IMPL.  It will be "libiconv" if we're 
using GNU iconv.
2007-12-10 21:40:20 Jan Schneider Comment #12 Reply to this comment
OK, switching to GNU iconv fixed the problem.  Any objection to
putting a warning on the test page if iconv isn't GNU iconv?
If there is a way to determine that, sure.
2007-12-10 20:20:00 Matt Selsky Comment #11 Reply to this comment
OK, switching to GNU iconv fixed the problem.  Any objection to 
putting a warning on the test page if iconv isn't GNU iconv?
2007-12-10 19:03:00 Matt Selsky Comment #10 Reply to this comment
I un-@'d the iconv call and got this error message:



Wrong charset, conversion from `windows-1255' to `utf-8//TRANSLIT' is 
not allowed in ...



Seems like Solaris iconv doesn't support this conversion.  I'll try 
rebuilding with GNU iconv and see what happens.



Also, if the conversions aren't working why isn't the original text returned?
2007-12-10 18:02:07 Jan Schneider Comment #9
State ⇒ Resolved
Reply to this comment
Horde uses iconv, that's what the patch was for.
2007-12-10 17:58:29 Matt Selsky Comment #8 Reply to this comment
Did IMP 3.2 use iconv?  The message renders fine in that version on 
the same machine.
2007-12-10 17:49:15 Jan Schneider Comment #7 Reply to this comment
I guess the easiest is to create a little php test script.
2007-12-10 17:39:06 Matt Selsky Comment #6 Reply to this comment
Yes, I updated framework.  I don't use a message cache.  How do we 
tell if iconv is actually working?
2007-12-10 17:29:56 Jan Schneider Comment #5 Reply to this comment
You updated the framework installation and emptied the message cache 
if you had one configured in IMP? I can't reproduce any issues anymore 
with a current checkout.
2007-12-10 17:17:55 Matt Selsky Comment #4 Reply to this comment
Applied that patch, still get junk.
2007-12-10 14:08:15 Jan Schneider Comment #3
Assigned to Jan Schneider
Taken from Michael Slusarz
State ⇒ Feedback
Reply to this comment
2007-12-05 18:06:46 Jan Schneider Assigned to Michael Slusarz
State ⇒ Assigned
 
2007-12-05 17:54:22 Matt Selsky Comment #2
New Attachment: Screenshot.png
Reply to this comment
Screenshot of what the Hebrew should look like.
2007-12-05 17:48:21 Matt Selsky Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Hebrew message not rendering correctly.
Queue ⇒ IMP
New Attachment: RE__Happy_Birthday.eml
Reply to this comment
This message shows junk instead of Hebrew for the first part of the 
message in IMP HEAD.



Browser view encoding is the default of UTF-8.



This sort of works in IMP 3.2.8.  The message view is also broken, but 
there is a link to "This message was written in a character set other 
than your own. If it is not displayed correctly, click here to open it 
in a new window." and the message does display correctly in the new 
window.

Saved Queries